OGRE: Volume

| OGRE 14.5 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Volume
Optional Components

Volume Rendering with LOD aimed at terrain More...

## Classes
class | Ogre::Volume::CacheSource
| A caching Source. More...
class | Ogre::Volume::Chunk
| A single volume chunk mesh. More...
struct | Ogre::Volume::ChunkParameters
| Parameters for loading the volume. More...
struct | Ogre::Volume::ChunkTreeSharedData
| Internal shared values of the chunks which are equal in the whole tree. More...
class | Ogre::Volume::CSGCubeSource
| A not rotated cube. More...
class | Ogre::Volume::CSGDifferenceSource
| Builds the difference between two sources. More...
class | Ogre::Volume::CSGIntersectionSource
| Builds the intersection between two sources. More...
class | Ogre::Volume::CSGNegateSource
| Negates the given volume. More...
class | Ogre::Volume::CSGNoiseSource
class | Ogre::Volume::CSGOperationSource
| Abstract operation volume source holding two sources as operants. More...
class | Ogre::Volume::CSGPlaneSource
| A plane. More...
class | Ogre::Volume::CSGScaleSource
| Scales the given volume source. More...
class | Ogre::Volume::CSGSphereSource
| A sphere. More...
class | Ogre::Volume::CSGUnarySource
| Source which does a unary operation to another one. More...
class | Ogre::Volume::CSGUnionSource
| Builds the union between two sources. More...
struct | Ogre::Volume::DualCell
| To store the generated dual cells in a vector. More...
class | Ogre::Volume::DualGridGenerator
| Class for the generation of the DualGrid. More...
class | Ogre::Volume::GridSource
| A volume source from a discrete 3d grid. More...
class | Ogre::Volume::HalfFloatGridSource
| A volume source from a 16 Bit float 3D grid capable of loading volume serializations. More...
class | Ogre::Volume::IsoSurface
| Abstract IsoSurface. More...
class | Ogre::Volume::IsoSurfaceMC
| Marching Cubes implementation like at http://local.wasp.uwa.edu.au/~pbourke/geometry/polygonise/. More...
class | Ogre::Volume::MeshBuilder
| Class to build up a mesh with vertices and indices. More...
class | Ogre::Volume::MeshBuilderCallback
| Callback class when the user needs information about the triangles of chunks of a LOD level. More...
class | Ogre::Volume::OctreeNode
| A node in the volume octree. More...
class | Ogre::Volume::OctreeNodeSplitPolicy
| The class deciding on whether to split an octree node or not when building the octree. More...
class | Ogre::Volume::SimplexNoise
| Simplex Noise ported from public domain Java Implementation http://webstaff.itn.liu.se/~stegu/simplexnoise/SimplexNoise.java Thanks Stefan Gustavson! More...
class | Ogre::Volume::Source
| Abstract class defining the density function. More...
class | Ogre::Volume::TextureSource
| A volume source from a 3D texture. More...
struct | Ogre::Volume::Vertex
| Lightweight struct to represent a mesh vertex. More...

## Typedefs
typedef struct Ogre::Volume::ChunkParameters | Ogre::Volume::ChunkParameters
| Parameters for loading the volume.
typedef struct Ogre::Volume::ChunkTreeSharedData | Ogre::Volume::ChunkTreeSharedData
| Internal shared values of the chunks which are equal in the whole tree.
typedef struct _OgreVolumeExport Ogre::Volume::DualCell | Ogre::Volume::DualCell
| To store the generated dual cells in a vector.
typedef std::vector< DualCell > | Ogre::Volume::VecDualCell
| To hold dual cells.
typedef std::vector< uint32 > | Ogre::Volume::VecIndices
| To hold indices.
typedef std::vector< Vertex > | Ogre::Volume::VecVertex
| To hold vertices.
typedef struct _OgreVolumeExport Ogre::Volume::Vertex | Ogre::Volume::Vertex
| Lightweight struct to represent a mesh vertex.

## Functions
bool _OgreVolumeExport | Ogre::Volume::operator< (const Vector3 &a, const Vector3 &b)
| A less operator.
bool _OgreVolumeExport | Ogre::Volume::operator< (const Vertex &a, const Vertex &b)
| A less operator.
bool _OgreVolumeExport | Ogre::Volume::operator== (Vertex const &a, Vertex const &b)
| == operator for two vertices.

## Detailed Description

Volume Rendering with LOD aimed at terrain

## Typedef Documentation

## ◆ ChunkParameters

typedef struct Ogre::Volume::ChunkParameters Ogre::Volume::ChunkParameters

Parameters for loading the volume.

## ◆ ChunkTreeSharedData

typedef struct Ogre::Volume::ChunkTreeSharedData Ogre::Volume::ChunkTreeSharedData

Internal shared values of the chunks which are equal in the whole tree.

## ◆ DualCell

typedef struct _OgreVolumeExport Ogre::Volume::DualCell Ogre::Volume::DualCell

To store the generated dual cells in a vector.

## ◆ VecDualCell

typedef std::vector<DualCell> Ogre::Volume::VecDualCell

To hold dual cells.

## ◆ Vertex

typedef struct _OgreVolumeExport Ogre::Volume::Vertex Ogre::Volume::Vertex

Lightweight struct to represent a mesh vertex.

## ◆ VecVertex

typedef std::vector<Vertex> Ogre::Volume::VecVertex

To hold vertices.

## ◆ VecIndices

typedef std::vector<uint32> Ogre::Volume::VecIndices

To hold indices.

## Function Documentation

## ◆ operator<() [1/2]

bool _OgreVolumeExport Ogre::Volume::operator< | ( | const Vector3 & | a,
|  | const Vector3 & | b )

A less operator.

Note
  This operator is needed so that Vertex can serve as the key in a map structrue

Parameters

  a | The first vector to test.
  b | The second vector to test.

## ◆ operator==()

bool _OgreVolumeExport Ogre::Volume::operator== | ( | Vertex const & | a,
|  | Vertex const & | b )

== operator for two vertices.

Parameters

  a | The first vertex to test.
  b | The second vertex to test.

## ◆ operator<() [2/2]

bool _OgreVolumeExport Ogre::Volume::operator< | ( | const Vertex & | a,
|  | const Vertex & | b )

A less operator.

Note
  This operator is needed so that Vertex can serve as the key in a map structrue

Parameters

  a | The first vertex to test.
  b | The second vertex to test.